## $Id: utils.py 14333 2016-12-11 09:02:09Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    APP_CATS_DICT = {
        'basic': 'UTME, DE, PCE',
        'no': 'No Application',
        'degree': 'Degree Programme',
        'nce': 'NCE Programme',
        'ncept': 'NCE Part-Time Programme',
        'prence': 'Pre-NCE Programme',
        }

    STUDY_MODES_DICT = {
        'ume_ft': 'UME Full Time',
        'ug_ft': 'Undergraduate Full Time',
        'ug_pt': 'Undergraduate Part Time',
        'dp_pt': 'Diploma Part Time',
        'ct_ft': 'Certificate Full Time',
        'dp_ft': 'Diploma Full Time',
        'de_ft': 'Direct Entry Full Time',
        'de_pt': 'Direct Entry Part Time',
        'nd_ft': 'National Diploma Full Time',
        'nd_pt': 'National Diploma Part Time',
        'hnd_ft': 'Higher National Diploma Full Time',
        'hnd_pt': 'Higher National Diploma Part Time',
        'pg_ft': 'Postgraduate Full Time',
        'pg_pt': 'Postgraduate Part Time',
        'pgd_ft': 'Postgraduate Diploma Full Time',
        'pgd_pt': 'Postgraduate Diploma Part Time',
        'special_pg_pt': 'Special Postgraduate Part Time',
        'nce_ft': 'NCE Full Time',
        'nce_pt': 'NCE Part Time',
        'ug_sw': 'Undergraduate Sandwich',
        'nce_sw': 'NCE Sandwich',
        'jm_ft': 'Joint Matriculation Full Time',
        'ph_ft': 'Post Higher Education Full Time',
        'transfer_pt': 'Transfer Part Time',
        'transfer_ft': 'Transfer Full Time',
        'ct_pt': 'Certificate Part Time',
        'rmd_ft': 'Remedial with deficiencies',
        'rm_ft': 'Remedial',
        'transfer': 'Transfer',
        'prence': 'Pre-NCE',
        'prend': 'Pre-ND',
        'pce': 'PCE',
        'pd_ft': 'Professional Diploma in Education',
        'found': 'Foundation',
        'no': 'no application',
        }
